DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureSize

Feature data convenience function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureSize ( measurement, featureID, size )

## FUNCTION

This function is a convenience function on top of `MeasurementObjectValue`, providing an easy access to the number of the measurement values of the `featureID` measurement function.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | ID of the measurement feature
`dip_int *` | `size` | Number of measurement values

## SEE ALSO

`MeasurementFree`, `MeasurementNew`, `MeasurementForge`, `MeasurementID`, `MeasurementSetName`, `MeasurementGetName`, `MeasurementSetPhysicalDimensions`, `MeasurementGetPhysicalDimensions`, `MeasurementNumberOfFeatures`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureConvert`, `MeasurementFeatureDescription`, `MeasurementNumberOfObjects`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementFeatureFormat`, `MeasurementFeatureSize`, `MeasurementIsValid`

DIPlib on-line documentation | Function reference | Global function index